- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Polygon Object Functions
Evas » Specific Object Functions

Functions that operate on evas polygon objects. More...

Evas_Object * | evas_object_polygon_add (Evas *e)
| Adds a new evas polygon object to the given evas. More...

## Detailed Description

Functions that operate on evas polygon objects.

Hint: as evas does not provide ellipse, smooth paths or circle, one can calculate points and convert these to a polygon.

Warning
  We don't guarantee any proper results if you create a Polygon object without setting the evas engine.

## Function Documentation

Evas_Object* evas_object_polygon_add | ( | Evas * | e | ) |

Adds a new evas polygon object to the given evas.

Parameters

  e | The given evas.

Returns
  A new evas polygon object.